Bug 181309 - LowPerformance took 158859 ms.
LowPerformance took 158859 ms.
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P3 (vote)
: 7.0
Assigned To: David Konecny
issues@javaee
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-27 08:24 UTC by Jesse Glick
Modified: 2010-08-11 03:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2010-02-27 08:24 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-02-27 08:24:25 UTC
Build: NetBeans IDE Dev (Build 100226-556bb3edab59)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Linux

User Comments:
jglick: Alt-Shift-PERIOD during classpath scanning. IDE froze for several minutes.
WARNING [org.netbeans.modules.parsing.impl.TaskProcessor]: ParserManager.parse called in AWT event thread by: org.netbeans.modules.editor.java.SelectCodeElementAction$SelectionHandler.selectNext(SelectCodeElementAction.java:147)

GUEST: my editor gets stuck all the time. Also file scanning runs forever and never finishes. I now mainly use netbeans for grails work. I have moved everything else to the eclipse for this reason.



Maximum slowness yet reported was 158859 ms, average is 89304
Comment 1 Jesse Glick 2010-02-27 08:24:32 UTC
Created attachment 94591 [details]
nps snapshot
Comment 2 Dusan Balek 2010-03-02 09:25:31 UTC
SelectCodeElementAction rescheduled outside of AWT event dispatch thread.
http://hg.netbeans.org/jet-main/rev/26124b7c7840

Another problem that can be seen from the nps snapshot is that Schema2BeansProcessor.process takes almost 18% of the project scanning time.
Comment 3 Quality Engineering 2010-03-03 22:08:22 UTC
Integrated into 'main-golden', will be available in build *201003040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/26124b7c7840
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #181309 - SelectCodeElementAction should not be called from AWT event dispatch thread.
Comment 4 David Konecny 2010-08-11 03:45:43 UTC
(In reply to comment #2)
> SelectCodeElementAction rescheduled outside of AWT event dispatch thread.
> http://hg.netbeans.org/jet-main/rev/26124b7c7840
> 
> Another problem that can be seen from the nps snapshot is that
> Schema2BeansProcessor.process takes almost 18% of the project scanning time.

Most of the time of this 18% is spend in native IO operations.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo